org.apache.solr.client.solrj.cloud.autoscaling

## Class MoveReplicaSuggester

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Policy.Suggester
  - - org.apache.solr.client.solrj.cloud.autoscaling.MoveReplicaSuggester

    public class MoveReplicaSuggester
    extends Policy.Suggester

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Policy.Suggester

`Policy.Suggester.Hint`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Policy.Suggester

`hints, originalViolations`

### Constructor Summary

Constructors
Constructor and Description
`MoveReplicaSuggester()`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Policy.Suggester

`getOperation, getSession, hint, isAllowed, testChangedMatrix`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MoveReplicaSuggester

    public MoveReplicaSuggester()